%define modulename Params-Validate

Summary:	Perl modules for validation method/function call parameters
Name:		perl-%{modulename}
Version:	0.78
Release:	1mdk
Source:		%{modulename}-%{version}.tar.bz2
License:	GPL or Artistic
Group:		Development/Other
URL:		http://search.cpan.org/dist/%{modulename}/
BuildRequires:	perl-devel >= 5.8.0
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.

The validation can be as simple as checking for the presence of required
parameters or as complex as validating object classes (via isa) or capabilities
(via can), checking parameter types, and using customized callbacks to ensure
data integrity.

%prep

%setup -q -n %{modulename}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog
* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.78-1mdk
- 0.78

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.77-1mdk
- 0.77
- add tests ; spec cleanup

* Fri Nov 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.76-1mdk
- New release 0.76

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.74-1mdk
- New release 0.74

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.65-1mdk
- 0.65.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.58-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 0.58-1mdk
- 0.58.

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.51-1mdk
- cleaned %%install section.
- muted to binary package.
- 0.51.

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.22-2mdk
- fix requires

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.22-1mdk
- 0.22

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 0.07-1mdk
- 0.07.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.04-3mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.04-2mdk
- Allow build on non ix86 architectures
- bzip2 sources

* Thu Apr 26 2001 Florin Grad <florin@mandrakesoft.com> 0.04-1mdk
- first attempt
